What browser versions do you support?

SurveyMonkey works on most popular web browsers. JavaScript and cookies need to be enabled in your browser in order for the site and surveys to work properly.

When using SurveyMonkey, we recommend using any of the following browsers:   

  • Chrome
  • Firefox 10.0 and later
  • Safari 5.0 or later
  • Internet Explorer 8.0 and later

Note: We don't support browsers in a beta version.

SurveyMonkey works best on Chrome, Firefox 10.0 and later, Safari 5.0 or later, and Internet Explorer 8.0 and later.